IndexUpdater (Hadoop 0.20.2+320 API)
Date: 2010-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.contrib.index.mapred
Class IndexUpdater

    java.lang.Object
      org.apache.hadoop.contrib.index.mapred.IndexUpdater

All Implemented Interfaces:
  IIndexUpdater

    public class IndexUpdater

extends Object
implements IIndexUpdater

An implementation of an index updater interface which creates a Map/Reduce job configuration and run the Map/Reduce job to analyze documents and update Lucene instances in parallel.

Field Summary
`static org.apache.commons.logging.Log` | `LOG`

Constructor Summary
`IndexUpdater()`

Method Summary
`void` | `run(Configuration conf, Path[] inputPaths, Path outputPath, int numMapTasks, Shard[] shards)` Create a Map/Reduce job configuration and run the Map/Reduce job to analyze documents and update Lucene instances in parallel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    public static final org.apache.commons.logging.Log LOG

Constructor Detail

### IndexUpdater

    public IndexUpdater()

Method Detail

### run

    public void run(Configuration conf,
                    Path[] inputPaths,
                    Path outputPath,
                    int numMapTasks,
                    Shard[] shards)
             throws IOException

  Description copied from interface: `IIndexUpdater`
  Create a Map/Reduce job configuration and run the Map/Reduce job to analyze documents and update Lucene instances in parallel.

  Specified by:
    `run` in interface `IIndexUpdater`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation